class_name WorldGenerator
extends Resource

func generate(map: TileMap) -> void:
	if self.has_method("_generate"):
		push_error("Generator missing `_generate` method")
		return

	self.call("_generate", map)

func get_progress_tracker() -> ProgressTracker:
	if not self.has_method("_get_progress_tracker"):
		push_error("Generator missing `_get_progress_tracker` method")
		return null
	
	return self.call("_get_progress_tracker")
